require 'json'

module Beowulf
  module Type
    class ExtensionJson
      include Utils

      def initialize(options = {})
        @data = options[:data] || ""
      end

      def to_bytes
        pakStr(@data)
      end

      def to_s
        {"data" => @data}
      end

      def to_json(options)
        JSON.dump ({
            :data => @data
        })
      end
    end
  end
end
