module Beowulf
  module ExtensionTypes
    TYPES = {
        void_t: {
        },
        extension_json_type: {
            value: Type::ExtensionJson
        }
    }

    def type(key, param, value)
      return if value.nil?
      t = TYPES[key] or return value
      p = t[param] or return value
      p.new(value)
    end
  end
end

