module Beowulf
  module Type
    class PointInTime < Serializer
      def initialize(value)
        super(:point_in_time, value)
      end
      
      def to_bytes
        [Time.parse(@value + 'Z').to_i].pack('I')
      end
      
      def to_s
        @value
      end
    end
  end
end
