module Beowulf
  module Type
    class Uint16 < Serializer
      def initialize(value)
        super(:u_int_16, value.to_i)
      end

      def to_bytes
        [@value].pack('S')
      end

      def to_s
        @value.to_s
      end
    end
  end
end
