module Beowulf
  class CondenserApi < Api
    METHOD_NAMES = [
      # :broadcast_block,
      :broadcast_transaction,
      :broadcast_transaction_synchronous,
      :get_account_count,
      :get_accounts,
      :get_balance,
      :get_active_supernodes,
      :get_block,
      :get_block_header,
      :get_config,
      :get_dynamic_global_properties,
      :get_hardfork_version,
      :get_key_references,
      :get_next_scheduled_hardfork,
      :get_owner_history,
      :get_potential_signatures,
      :get_required_signatures,
      :get_transaction,
      :get_transaction_hex,
      :get_transaction_with_status,
      :get_version,
      :get_supernode_by_account,
      :get_supernode_count,
      :get_supernode_schedule,
      :get_supernodes,
      :get_supernodes_by_vote,
      :lookup_account_names,
      :lookup_accounts,
      :lookup_supernode_accounts,
      :list_smt_tokens,
      :verify_authority,
      :find_smt_tokens_by_name,
      :get_supernode_voted_by_acc,
      :get_pending_transaction_count
    ].freeze
    
    def method_names
      METHOD_NAMES
    end
    
    def api_name
      :condenser_api
    end
  end
end
