module Beowulf
  module OperationIds
    IDS = [
      :transfer_operation,
      :transfer_to_vesting_operation,
      :withdraw_vesting_operation,
      
      :account_create_operation,
      :account_update_operation,
      
      # :supernode_update_operation,
      # :account_supernode_vote_operation,
      
      # SMT operations
      # :smt_create_operation,
      
      # virtual operations below this point
      # :fill_vesting_withdraw_operation,
      # :shutdown_supernode_operation,
      # :hardfork_operation,
      # :producer_reward_operation,
      # :clear_null_account_balance_operation
    ]
    
    def id(op)
      if op.to_s =~ /_operation$/
        IDS.find_index op
      else
        IDS.find_index "#{op}_operation".to_sym
      end
    end
  end
end
