module Beowulf
  module Type
    class Uint32 < Serializer
      def initialize(value)
        super(:u_int_32, value.to_i)
      end

      def to_bytes
        [@value].pack('L')
      end

      def to_s
        @value.to_s
      end
    end
  end
end
